Skip to content
Finerlise
Esc
↑↓navigate↵open⌘Jpreview

The latest completed Responses of a Form, newest first

GET/forms/{formId}/responses
Authorization
AuthorizationBearer token · headerrequired

A Workspace API key (fnr_live_…). Grants responses:read only.

or
AuthorizationOAuth2 access token · headerrequired
Scopes:responses:read
Path parameters
formIdstring<uuid>required

Form id.

Query parameters
limitinteger
min 1 · max 25 · default: 10
Responses
200

Completed Responses.

dataResponseEvent[]
Show properties
Array of ResponseEvent
eventany
createdAtstring<date-time>
dataobject
Show properties
formIdstring
formTitlestring
responseIdstring
respondentEmailstring | null
completedAtstring<date-time>
answersobject[]
Show properties
Array of object
fieldIdstring
labelstring
typestring
valuestring
rawValueany
fieldsobject
hiddenFieldsobject
metadataobject
401

Missing or invalid token.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

403

The token lacks the required scope.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

404

No such Form in this Workspace.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

429

Rate limited; see the Retry-After header.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://finerlise.com/api/v1/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08/responses' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "event": "response.completed",
      "createdAt": "2019-08-24T14:15:22Z",
      "data": {
        "formId": "string",
        "formTitle": "string",
        "responseId": "string",
        "respondentEmail": "string",
        "completedAt": "2019-08-24T14:15:22Z",
        "answers": [
          {
            "fieldId": "string",
            "label": "string",
            "type": "string",
            "value": "string",
            "rawValue": null
          }
        ],
        "fields": {
          "property1": "string",
          "property2": "string"
        },
        "hiddenFields": {
          "property1": "string",
          "property2": "string"
        },
        "metadata": {}
      }
    }
  ]
}